## libaws 20.0

=== demos/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2003-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

MAKEFILES = $(wildcard */Makefile)
MAKEFILES_CLEAN = ${MAKEFILES:%=%_clean}

build: $(MAKEFILES)

setup:

$(MAKEFILES): force
	$(MAKE) -C $(dir $@)

clean: $(MAKEFILES_CLEAN)

$(MAKEFILES_CLEAN): force
	$(MAKE) -C $(dir ${@:%_clean=%}) clean

force:

check:

=== include/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2003-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

.SILENT:

setup:

install:

check:
	$(GNAT) check -files=filenames.check -rules -from=../aws.checks

=== regtests/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2003-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

.SILENT:

build:

testsuite.tags: ../makefile.setup gen_system_tags.py
	$(PYTHON) gen_system_tags.py ../makefile.setup 2>/dev/null || \
		(echo "Can not generate system tags. The test are disabled")

setup: testsuite.tags

aws_regtests:
	test -f testsuite.tags || (echo 'Did you run make setup ?'; exit 1)
	$(PYTHON) testsuite.py --from-build-dir

install:

clean:
	-$(RM) -f testsuite.tags testsuite.res testsuite.duration_* *.pyc
	-$(RM) -fr .outputs .build

=== demos/com/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2010-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

all:
	gprbuild com.gpr

clean:
	gprclean com.gpr

=== demos/dispatch/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2010-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

all:
	gprbuild dispatch.gpr

clean:
	gprclean dispatch.gpr

=== demos/gSOAP/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                       Copyright (C) 2015, AdaCore                        #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

-include ../../makefile.setup

#  uncomment the following to display the SOAP payload
#  DEBUG=-d
DEBUG=

#  do not activate build by default as it required gSOAP to be installed
#  manually.

ifneq (${GSOAP},true)
all:

else
ifneq (${XMLADA},false)
all: build_wsdl
	gprbuild -p -m gsoap_demo.gpr
	gcc -o c_server_rpc -Ic_rpc c_rpc/soapC.c c_rpc/soapServer.c \
		c_server_rpc.c -lgsoap
	gcc -o c_client_rpc -Ic_rpc c_rpc/soapC.c c_rpc/soapClient.c \
		c_client_rpc.c -lgsoap
	gcc -o c_server_doc -Ic_doc c_doc/soapC.c c_doc/soapServer.c \
		c_server_doc.c -lgsoap
	gcc -o c_client_doc -Ic_doc c_doc/soapC.c c_doc/soapClient.c \
		c_client_doc.c -lgsoap
else
all:
endif
endif

create-dirs:
	mkdir -p c_doc c_rpc

build_wsdl: create-dirs
	echo Generate Ada/C stub/skel from WSDL documents
	wsdl2aws $(DEBUG) -q -f -timeouts 1,2,2 hello_doc.wsdl
	wsdl2aws $(DEBUG) -q -f -timeouts 1,2,2 hello_rpc.wsdl

	wsdl2h -c hello_doc.wsdl
	soapcpp2 -c -d c_doc hello_doc.h

	wsdl2h -c hello_rpc.wsdl
	soapcpp2 -c -d c_rpc hello_rpc.h

clean:
	gprclean gsoap_demo.gpr
	rm -f hello_rpc-* hello_doc-* hello_doc.h hello_rpc.h
	rm -f c_*_rpc c_*_doc hello_rpc.ads hello_doc.ads
	rm -fr c_doc c_rpc obj

=== demos/hello_world/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2010-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

all:
	gprbuild hello_world.gpr

clean:
	gprclean hello_world.gpr

=== demos/interoplab/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2010-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

-include ../../makefile.setup

ifneq (${XMLADA},false)
all: build_wsdl
	gprbuild interoplab.gpr
else
all:
endif

build_wsdl:
	echo Generate stub/skel from WSDL document
	wsdl2aws -q -f -doc -noskel interoplab_main.wsdl

clean:
	gprclean interoplab.gpr
	rm -f interoplab.ads interoplab-* soapinterop*

=== demos/web_block_ajax/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2010-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

all:
	gprbuild web_block_ajax.gpr

clean:
	gprclean web_block_ajax.gpr

=== demos/web_block_ajax_templates/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2010-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

all: build_tpl
	gprbuild web_block_ajax_templates.gpr

build_tpl:
	echo Generate the templates callbacks
	templates2ada -d . -t templates.tada -o code.ada -e .thtml -e .txml
	gnat chop -w code.ada

clean:
	gprclean web_block_ajax_templates.gpr
	rm -f code.ada wblocks* *~ web_block_ajax_templates

=== debian/changelog ===
libaws (20.0-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Use debhelper 12 dh-sequence- syntax.
  * Standards-Version: 4.5.0.
  * Drop redundant branch from Vcs-Git.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 19:00:10 +0100

libaws (20.0-1) experimental; urgency=medium

  * New upstream release built with updated dependencies. Closes: #916323.
    Rename library and -dev package accordingly.
  * Move version control system to salsa.debian.org.
  * Pass sphinxdoc:Built-Using to control file.
  * Remove the unreproducible date from PDF documentation.
  * Debhelper 12. Examples are not compressed anymore.
  * Standards-Version: 4.4.1. Rules-Requires-Root: no.
  * Enable various linker warnings, drop --as-needed (by default with gcc-9).
  * Drop work-around for fixed #869098.
  * Wrap and sort build dependencies.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 05 Nov 2019 11:53:38 +0100

=== debian/control ===
Source: libaws
Priority: optional
Section: libs
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-sequence-ada-library,
 gnat, gnat-9,
# This line is parsed by debian/rules to set GNAT_VERSION.
 gprbuild (>= 2017),
# for ada2wsdl.gpr:
 libasis2019-dev,
# for build_aws.gpr:
 libgnutls28-dev,
# This line, if present, is parsed by debian/rules to set SSL.
 libldap2-dev,
 libtemplates-parser13-dev,
 libxmlada-dom9-dev,
 libxmlada-input9-dev,
 libxmlada-sax9-dev,
 libxmlada-schema9-dev,
 libxmlada-unicode9-dev,
 libz-dev,
 pkg-config,
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 latexmk,
# sphinx >= 1.6 requires the latexmk driver.
 python3-sphinx,
 texinfo,
 texlive-fonts-recommended,
 texlive-latex-extra,
# sphinx-doc requires iftex.sty:
 texlive-plain-generic,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libaws
Vcs-Git: https://salsa.debian.org/debian/libaws.git
Homepage: https://www.adacore.com/community

Package: libaws19-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libgnutls28-dev,
 libldap2-dev,
 libz-dev,
 ${ada:Depends}
Recommends: libaws-bin (= ${binary:Version})
Suggests: libaws-doc (= ${source:Version}),
 libjs-scriptaculous,
 libjs-prototype
Description: Ada Web Server development files
 AWS is a complete framework to develop Web based applications. The
 main part of the framework is the embedded Web server. This small yet
 powerful Web server can be embedded into your application so your
 application will be able to talk with a Web browser. Around this Web
 server a lot of services have been developed.
 .
  - A Web parameters module. This module takes care of retrieving the
    forms or URL parameters and to build an associative table for easy
    access.
  - A session server, this is a very important module to be able to
    keep client's data from page to page.
  - Support SOAP to develop Web Services.
  - A tool to generate Web Services stubs/skeletons from a WSDL
    document.
  - A template parser, this module makes it possible to completely
    separate the Web design from the code. No more scripting into your Web
    page.
  - Support for Secure Sockets (HTTPS/SSL), this is based on the GNU TLS
    library.
  - Support for large servers using dispatchers based on URI, request
    methods.
  - Support for virtual hosting (dispatchers based on the host name).
  - Support for server push.
  - A directory browser ready to be used in any application.
  - A status page to get many information about the current AWS server.
  - A log module. Log files keep information about all resources
    requested to the server.
  - Hotplug modules which can be loaded/unloaded dynamically to add
    specific features to a server.
  - A communication API to exchange data between applications using the
    HTTP protocol.
  - A configuration API to tune/change the server parameters without
    recompilation.
  - A client API to retrieve any Web page from a Web site.
  - A Web Page service to build a simple static page server.
  - Support for SMTP, LDAP and Jabber protocols.

Package: libaws-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada Web Server utilities
 AWS is a complete framework to develop Web based applications. The
 main part of the framework is the embedded Web server. This small yet
 powerful Web server can be embedded into your application so your
 application will be able to talk with a Web browser. Around this Web
 server a lot of services have been developed.
 .
 This package contains utility programs to help develop web applications
 with AWS:
 .
 awsres transforms any text or binary file into an Ada unit which you
 can compile into your application, thereby making your application
 completely independent of any external files (think: embedded)
 .
 ada2wsdl, an ASIS program, reads Ada unit specifications and creates
 descriptions in the Web Service Description Language, so that you can
 advertise your web service application to the world.
 .
 wsdl2aws does the opposite job: it creates an Ada unit (spec and
 skeleton body) conforming to a specified description in WSDL.

Package: libaws5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada Web Server shared library
 AWS is a complete framework to develop Web based applications. The
 main part of the framework is the embedded Web server. This small yet
 powerful Web server can be embedded into your application so your
 application will be able to talk with a Web browser. Around this Web
 server a lot of services have been developed.
 .
 This is the runtime library for the Ada Web Server.

Package: libaws-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Suggests: gnat
Description: Ada Web Server documentation
 AWS is a complete framework to develop Web based applications. The
 main part of the framework is the embedded Web server. This small yet
 powerful Web server can be embedded into your application so your
 application will be able to talk with a Web browser. Around this Web
 server a lot of services have been developed.
 .
 This package contains the documentation for the Ada Web Server in
 info, ASCII and HTML formats, as well as demos and source code of
 reusable web elements.

=== debian/rules ===
#!/usr/bin/make -f
# Build script for Ada Web Server in Debian.
# Copyright (c) 2003-2013 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2014-2020 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

SSL := dummy
$(foreach line,$(shell sed -n '\
  s/^ gnat, gnat-\([0-9.]\+\),$$/ \
    GNAT_VERSION:=\1 \
  /p;\
  s/^Package: libaws\([0-9.]\+\)$$/ \
    soname:=libaws.so.\1 \
  /p;\
  s/^ libgnutls[0-9.]*-dev,$$/ \
    SSL:=gnutls \
  /p;\
  s/^ libssl-dev,$$/ \
    SSL:=openssl \
  /p;\
  ' debian/control),$(eval $(line)))

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_ADAFLAGS_MAINT_APPEND := -gnatafno -gnatVa -gnatwa
DEB_CPPFLAGS_MAINT_APPEND := `pkg-config --cflags $(filter-out dummy,$(SSL)) zlib`
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk

LDLIBS := `pkg-config --libs   $(filter-out dummy,$(SSL)) zlib` -llber -lldap

# Circumvent #760211. Since LDFLAGS contains --as-needed, this setting
# only takes effect on architectures triggering the bug.
LDLIBS += -lpthread

######################################################################
%:
	dh $@

# Ignore upstream makefile (and ./configure, if ever).
.PHONY: $(addprefix override_dh_auto_,configure build-arch build-indep test install clean)
# Configure test install exist and are empty so that dh_auto_* does
# nothing.  We will replace upstream makefiles with build-* and clean.

######################################################################
# See comments in aws-os_lib-tmplt.c.
build-aws-dynamic build-aws-static: src/core/aws-os_lib.ads
# Tell Make that the source must be created but never updated, even if
# its timestamp is tricked later for deterministic ALI files.
src/core/aws-os_lib.ads:|src/core/xoscons \
                         src/core/aws-os_lib-tmplt.i \
                         src/core/aws-os_lib-tmplt.s
	cd src/core && ./xoscons aws-os_lib
src/core/xoscons: config/setup/xoscons.adb
	gnatmake $(BUILDER_OPTIONS) $< -D src/core -o $@ -cargs $(ADAFLAGS) -largs $(LDFLAGS)
src/core/aws-os_lib-tmplt.s: %.s: %.i
	$(CC) -S $(CFLAGS) $< -o $@
src/core/aws-os_lib-tmplt.i: config/setup/aws-os_lib-tmplt.c
	$(CC) -C -E $(CPPFLAGS) -DTARGET=\"$(DEB_HOST_MULTIARCH)\" $< -o $@

override_dh_auto_clean::
	rm -f src/core/aws-os_lib* src/core/xoscons* src/core/xutil.*

######################################################################
# Build both versions of the library.

override_dh_auto_build-arch: build-aws-static build-tools
.PHONY: build-aws-dynamic build-tools
build-aws-static:
	gprbuild -p $(BUILDER_OPTIONS) debian/build_aws.gpr \
	  $(foreach v,ADAFLAGS CFLAGS CPPFLAGS SSL,"-X$(v)=$($(v))")
build-tools:
	gprbuild -p $(BUILDER_OPTIONS) debian/tools.gpr \
	  $(foreach v,ADAFLAGS CFLAGS CPPFLAGS LDFLAGS LDLIBS soname SSL,"-X$(v)=$($(v))")
override_dh_auto_clean::
	rm -fr $(foreach d,lib obj,$(foreach k,dynamic static, \
          debian/build_aws_$(d)_$(k))) debian/tools_obj debian/tools_exe

# An override is necessary because LDLIBS contains a shell escape.
# The projet should import directly xmlada.gpr and
# templates-parser.gpr (both are used by specs).
.PHONY: override_dh_ada_library-arch
override_dh_ada_library-arch:
	dh_ada_library \
          $(foreach v,LDLIBS soname SSL,"$(v)=$($(v))") \
          debian/build_aws.gpr

######################################################################
INSTALLED_EXAMPLES := debian/libaws-doc/usr/share/doc/libaws-doc/examples
check_link = \
  diff -q debian/libaws-doc/usr/share/doc/libaws-doc/examples/$(1) \
          debian/libaws-doc/usr/share/doc/libaws-doc/examples/$(2) \
  && dh_link -plibaws-doc   usr/share/doc/libaws-doc/examples/$(1) \
                            usr/share/doc/libaws-doc/examples/$(2)
.PHONY: override_dh_installexamples-indep
override_dh_installexamples-indep:
  # An explicit main package silents a warning.
	dh_installexamples --package=libaws-doc --doc-main-package=libaws-doc

 # Fix permissions.
	find $(INSTALLED_EXAMPLES) -type f -print0 | xargs -0r chmod 644

 # Replace duplicate files with symlinks.
 # (rdfind and symlinks are confused on pbuilder with /build->/tmp/build)
 # lintian detects things to add, diff detects thing to remove.
	$(call check_link,runme/adains.png,res_demo/adains.png)
	$(call check_link,runme/cert.pem,agent/cert.pem)
	$(call check_link,soap_disp/soap_client.adb,soap_demo/soap_client.adb)
	$(call check_link,upload/aws.ini,https/aws.ini)
	$(call check_link,web_block_ajax_templates/r_widget_counter.txml,web_block_ajax/r_widget_counter.txml)
	$(call check_link,web_block_ajax_templates/web_callbacks.ads,web_block_ajax/web_callbacks.ads)
	$(call check_link,ws/page1.html,web_elements/page1.html)
	$(call check_link,ws/ws.ini,wps/wps.ini)

######################################################################
# Documentation.
# ./makefile would recompute all makefile.conf variables, assume only
# HTML output format, and assume the existence of templates_parser/.
override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs html info latexpdf text style-guide.pdf \
	  SPHINXOPTS=-j$(BUILDER_JOBS) \
	  $(foreach v,ADAFLAGS LDFLAGS,"$(v)=$($(v))")
endif

override_dh_auto_clean::
	$(MAKE) -C docs clean
	rm -f docs/source/*.pyc docs/source/confvars.py
	rm -fr docs/source/__pycache__

######################################################################
.PHONY: override_dh_installdocs
override_dh_installdocs:
  # An explicit main package silents a warning.
	dh_installdocs --package=libaws-doc --doc-main-package=libaws-doc
	dh_installdocs --remaining-packages
